## multipartmux

multipartmux — mux multipart streams

## Properties

gchar * | boundary | Read / Write

## Types and Values

struct | GstMultipartMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMultipartMux

## Description

MultipartMux uses the GstCaps of the sink pad as the Content-type field for incoming buffers when muxing them to a multipart stream. Most of the time multipart streams are sequential JPEG frames.

### Sample pipelines

    1

    gst-launch-1.0 videotestsrc ! video/x-raw, framerate='(fraction)'5/1 ! jpegenc ! multipartmux ! filesink location=/tmp/test.multipart

a pipeline to mux 5 JPEG frames per second into a multipart stream stored to a file.

## Synopsis

### Element Information

plugin | multipart
author | Wim Taymans <wim@fluendo.com>
class | Codec/Muxer

### Element Pads

name | sink_%u
direction | sink
presence | request
details | ANY

name | src
direction | source
presence | always
details | multipart/x-mixed-replace

## Functions

## Types and Values

### struct GstMultipartMux

    struct GstMultipartMux;

The opaque GstMultipartMux structure.

## Property Details

### The `“boundary”` property

      “boundary”                 gchar *

Boundary string.

Flags: Read / Write

Default value: "ThisRandomString"